Subject: Re: termcap / terminfo ?
From: [email-masked] (Earnie Boyd)

6 Feb 1998 08:00:33 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: Haakon Alstadheim <[email-masked]>
>To: "[email-masked]'" <[email-masked]>
>Subject: termcap / terminfo ?
>Date: Thu, 5 Feb 1998 19:10:51 +0100
>
>Hi, I just started looking at the gnu-win32 toolset yesterday (I have
>some unix experience) , so bear with me.
>
>I'm not planning to use the gnu-win32 tools for development for now,
>only file management and text processing. Hence, i downloaded the
>usertools.exe.
>Then I downloaded and installed the binaries pointed at from Sergey
>Okhapkin's site
><http://miracle.geol.msu.ru/sos/>, and installed them on top of the
>usertools. I also did the mounting and file linking like it says in
><http://gnu-win32.paranoia.ru/>.
>
>My next logical step is to get some way to read man-pages.
>"cmd /c more < manpage.1" works, and that lets me se some of the text
>inbetween all
>the formatting commands.
>One step in the right direction would be to get "less" running. This I
>downloaded from <http://www.tiac.net/users/cgf/>, but it doesent like
>the terminal, so "cmd /c more" is actually better.
>
>******THE QUESTIONS*************
>The remedy would be some kind of termcap or terminfo setup.
>The questions are :
>	- which one? (termcap/terminfo)
>	- how do I do it?
>	- where can I get a termcap file?
>***************************************
>P.S I'm running NT server 4.0

I didn't see this one at any of the portals.  Go to your favorite GNU 
mirror and get the latest ncurses package.  It builds without too much 
ado.

You will have to have your directories mounted as text=binary.  You need 
this script to install.

#!/bin/sh
# file: install
# author: earnie        email: [email-masked]
# Install Preprocessor for the gnu-win32 "make install" command.
#
# To use:
#   mv /bin/install.exe /bin/ginstall
#   copy this file to /bin/install
#
# Note:
#   No warranty implicit or explicit is given.
#   You may copy, distribute and use as you see fit.
#   USE AT YOU OWN RISK.
#
tstr=""
while test $# -gt 0; \
do \
        if test -e $1.exe; \
        then \
                tstr="$tstr$1.exe $2.exe"; \
                shift; \
        else \
                tstr="$tstr$1 "; \
        fi; \
        shift; \
done
echo "/bin/ginstall $tstr"
eval "/bin/ginstall $tstr"; \
exit

>
>Seeing the speed with which I am up and running with bash and 
everything
>(AMAZING!) I have no doubt that some kind soul can get me the rest of
>the way.
>
>-

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".